Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Acceptor Class Reference

`#include <Transport.h>`

Inheritance diagram for TAO_AV_Acceptor:

[legend]
Collaboration diagram for TAO_AV_Acceptor:

[legend]
List of all members.

## Public Methods
| TAO_AV_Acceptor (void)
virtual | ~TAO_AV_Acceptor (void)
virtual int | open (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_FlowSpec_Entry *entry, TAO_AV_Flow_Protocol_Factory *factory, TAO_AV_Core::Flow_Component flow_comp)=0
virtual int | open_default (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_FlowSpec_Entry *entry, TAO_AV_Flow_Protocol_Factory *factory, TAO_AV_Core::Flow_Component flow_comp)=0
const char * | flowname ()
virtual int | close (void)=0
## Protected Attributes
ACE_CString | flowname_
TAO_AV_Core * | av_core_
ACE_Addr * | address_

## Constructor & Destructor Documentation

TAO_AV_Acceptor::TAO_AV_Acceptor | ( | void |  | ) |

TAO_AV_Acceptor::~TAO_AV_Acceptor | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_AV_Acceptor::close | ( | void |  | ) | `[pure virtual]`

| Reimplemented in TAO_AV_UDP_QoS_Acceptor, TAO_AV_TCP_Acceptor, and TAO_AV_UDP_Acceptor.

ACE_INLINE const char * TAO_AV_Acceptor::flowname | ( | void |  | ) |

virtual int TAO_AV_Acceptor::open | ( | TAO_Base_StreamEndPoint * | endpoint,
|  | TAO_AV_Core * | av_core,
|  | TAO_FlowSpec_Entry * | entry,
|  | TAO_AV_Flow_Protocol_Factory * | factory,
|  | TAO_AV_Core::Flow_Component | flow_comp
| ) | `[pure virtual]`

| Reimplemented in TAO_AV_UDP_QoS_Acceptor, TAO_AV_TCP_Acceptor, and TAO_AV_UDP_Acceptor.

virtual int TAO_AV_Acceptor::open_default | ( | TAO_Base_StreamEndPoint * | endpoint,
|  | TAO_AV_Core * | av_core,
|  | TAO_FlowSpec_Entry * | entry,
|  | TAO_AV_Flow_Protocol_Factory * | factory,
|  | TAO_AV_Core::Flow_Component | flow_comp
| ) | `[pure virtual]`

| Reimplemented in TAO_AV_UDP_QoS_Acceptor, TAO_AV_TCP_Acceptor, and TAO_AV_UDP_Acceptor.

## Member Data Documentation

ACE_Addr* TAO_AV_Acceptor::address_`[protected]`

| Reimplemented in TAO_AV_UDP_Acceptor.

TAO_AV_Core* TAO_AV_Acceptor::av_core_`[protected]`

ACE_CString TAO_AV_Acceptor::flowname_`[protected]`

The documentation for this class was generated from the following files:

- Transport.h
- Transport.cpp
- Transport.i